import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRAccessControlClusterAccessControlExtensionStruct extends _NSObject {
    static alloc(): _MTRAccessControlClusterAccessControlExtensionStruct;
    static new(): _MTRAccessControlClusterAccessControlExtensionStruct;
    init(): _MTRAccessControlClusterAccessControlExtensionStruct;
    data(): _NSData;
    setData$(value: _NSData): void;
    fabricIndex(): _NSNumber;
    setFabricIndex$(value: _NSNumber): void;
}
export interface _MTRAccessControlClusterAccessControlExtensionStruct extends _NSCopying {
}
